Résoudre l’erreur du plugin #Stripe pour #Woocommerce

07 02 17

Le plugin Stripe crée par Woocommerce est gratuit. Je me suis empressé d’aller le télécharger et de l’installer sur l’un de mes sites.

Après avoir configuré le plugin, vient le moment de faire des tests. Voilà ! Je reçois cette jolie erreur.

Please make sure your card details have been entered correctly and that your browser supports JavaScript. Developers: Please make sure that you are including jQuery and there are no JavaScript errors on the page.

Toi aussi, tu as cette erreur ? Il n’y à pas de solution toute faites pour la faire disparaître. Je vais te dire ce que j’ai fait, c’est très simple ça pourrait même t’aider.

Premièrement, je t’expose le contexte. Le thème, je l’ai créé, c’est plus simple pour débugger. Dans la console pour développeur de chrome, il n’y avait pas d’erreur javascript.

Tout comme toi, je suis allée chercher une solution sur le net et j’ai lu cette phrase :

The solution is almost always a theme conflict… switch to a higher quality theme.

Mon ego avait pris un sacré coup 🙁 . Je sais, tu n’es pas là pour que je te raconte mes états d’âme, mais pour trouver une solution à cette erreur.

Pour que le plugin fonctionne correctement sur mon site. J’ai modifié le dossier woocommerce/checkout qui se trouve dans mon thème, par celui qui se trouve dans le dossier du plugin woocommerce/template/checkout.

Tadaaa ! La solution fonctionne à merveille. La dernière étape fût de rajouter des classes aux différents fichiers, pour que le tout soit de nouveau en accord avec mon template.

Si le cœur t’en dis ! Je te conseil de dupliquer en deux fois le dossier checkout. Tu pourras ainsi tester cas par cas les fichiers, pour savoir lequel d’entre eux n’est pas adapté. Ça t’éviteras d’adapter de nouveau tes fichiers, pour qu’ils soient en harmonie avec ton thème.

Continue la lecture, ces articles pouront peut être t'intéresser :

Veux-tu recevoir des astuces exclusives ? Laisse moi ton e-mail



Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Pseudo *

Please copy the string 7vBwt4 to the field below:

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.

  1. bonjour
    je me suis dit enfin la solution a mon probleme et non ..:-( j ai meme mis le theme de base de wordpress et idem et pas d’erreurs dans la console.
    incroyable que autant de personnes aient ce probleme pour un plugins aussi courant et pré fourni par défaut avec woocommerce !!
    https://wear.edenweb.ch

    merci en tout cas

    1. Je te contact par mail. On va essayé de régler ça tous les deux 🙂

      1. Super
        volontiers 🙂
        merci et bon weekend

87% de mes meilleures astuces, conseils, formations et outils je les partages gratuitement par mail avec ma communauté. Productivité, automatisation, design, SEO et bien plus encore.

Je te propose de recevoir en premier lieu 21 outils incroyables qui pourraient changer ta vie.

Je ne partage pas tes informations avec des tiers.